Skip to content

Open Projects REST API

Published: 2024-05-15

Last Updated: 2026-08-26

Return all active projects in MDCMS.

GET /open-projects

JSON payloads

All MDCMS REST API response bodies use JSON.

Authorization

Header Type Required Description
Authorization string Yes Bearer token for the MDSEC user. See Authenticate requests to the MDCMS REST API server.

A missing or invalid token returns HTTP 401 Unauthorized.

Query parameters

Parameter Type Required Description
startsWith string No Limit the list to projects whose IDs start with this value.

Example

Replace {endpoint} with the URL endpoint defined for the MDCMS HTTP server.

curl -H "Authorization: Bearer {token}" \
  "https://{endpoint}/open-projects?startsWith=dem"
GET /open-projects?startsWith=dem HTTP/1.1
Host: {endpoint}
Authorization: Bearer {token}

Response body

Schema

Property Type Description
projects array List of project objects.

Project object

Property Type Description
proj string Project ID.
desc string Project description.

Example

{
  "projects": [
    {
      "proj": "DEMOCH",
      "desc": "DEMOCH"
    },
    {
      "proj": "DEMOUK1",
      "desc": "demo of mdcms"
    },
    {
      "proj": "DEMO044",
      "desc": "Demo project 44"
    }
  ]
}
Resource Description
Project REST API Create, update, or retrieve a project
Open Tasks REST API List active tasks for a project